Maxmod Programming Reference {#mainpage}
============================

## Miscellaneous

- [Hardware Usage](hardware_usage.md)
- [Memory Usage](memory_usage.md)
- [CPU Usage](cpu_usage.md)

## Tutorials

- [DS Programming Guide](ds_programming_guide.md)
- [GBA Programming Guide](gba_programming_guide.md)
- [Using Song Events](using_song_events.md)
- [Conversion Guide](conversion_guide.md)
- [Audio Streaming](audio_streaming.md)
- [Using Reverb](using_reverb.md)

## API Documentation

### Common

- @ref maxmod_types

### GBA

- @ref gba_init
- @ref gba_module_playback
- @ref gba_sound_effects
- @ref gba_playback_events
- @ref gba_misc

### NDS (ARM9)

- @ref nds_arm9_init
- @ref nds_arm9_module_playback
- @ref nds_arm9_sound_effects
- @ref nds_arm9_streaming
- @ref nds_arm9_reverb
- @ref nds_arm9_playback_events

### NDS (ARM7)

- @ref nds_arm7_init
- @ref nds_arm7_module_playback
- @ref nds_arm7_sound_effects
- @ref nds_arm7_streaming
- @ref nds_arm7_reverb
- @ref nds_arm7_playback_events
- @ref nds_arm7_misc
